nmh-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated


From: Ken Hornstein
Subject: [Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated. 4ad9321b5799aae68df21f77e7e788d897c3f015
Date: Fri, 16 Mar 2012 03:10:09 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The nmh Mail Handling System".

The branch, master has been updated
       via  4ad9321b5799aae68df21f77e7e788d897c3f015 (commit)
       via  0270817c5e0c47f23b890351d69ac18f09254175 (commit)
       via  4582f97fd2ce5bdb3ac54fbb099c80965e379a9e (commit)
      from  ccd3685b42cb198b11d2d4daabb58849d239df40 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=4ad9321b5799aae68df21f77e7e788d897c3f015


commit 4ad9321b5799aae68df21f77e7e788d897c3f015
Author: Ken Hornstein <address@hidden>
Date:   Thu Mar 15 23:09:41 2012 -0400

    Add some more default MIME content suffixes.

diff --git a/etc/mhn.defaults.sh b/etc/mhn.defaults.sh
index 0db5d3a..0111dbd 100755
--- a/etc/mhn.defaults.sh
+++ b/etc/mhn.defaults.sh
@@ -124,7 +124,40 @@ if [ ! -z "$PGM" ]; then
        echo "mhshow-show-application/x-ivs: %p$PGM -o '%F'" >> $TMP
 fi
 
-echo "mhshow-suffix-text/html: .html" >> $TMP
+cat <<EOF >> ${TMP}
+mhshow-suffix-text/html: .html
+mhshow-suffix-text/xml: .xml
+mhshow-suffix-application/pdf: .pdf
+mhshow-suffix-application/postscript: .ps
+mhshow-suffix-application/msword: .doc
+mhshow-suffix-application/msword: .docx
+mhshow-suffix-application/vnd.ms-excel: xls
+mhshow-suffix-application/vnd.ms-excel: xlc
+mhshow-suffix-application/vnd.ms-excel: xll
+mhshow-suffix-application/vnd.ms-excel: xlm
+mhshow-suffix-application/vnd.ms-excel: xlw
+mhshow-suffix-application/vnd.ms-excel: xla
+mhshow-suffix-application/vnd.ms-excel: xlt
+mhshow-suffix-application/vnd.ms-excel: xld
+mhshow-suffix-application/vnd.ms-powerpoint: ppz
+mhshow-suffix-application/vnd.ms-powerpoint: ppt
+mhshow-suffix-application/vnd.ms-powerpoint: pps
+mhshow-suffix-application/vnd.ms-powerpoint: pot
+mhshow-suffix-audio/mpeg: .mp3
+mhshow-suffix-image/gif: .gif
+mhshow-suffix-image/jpeg: .jpeg
+mhshow-suffix-image/jpeg: .jpg
+mhshow-suffix-image/png: .png
+mhshow-suffix-image/tiff: .tif
+mhshow-suffix-image/tiff: .tiff
+mhshow-suffix-video/mpeg: .mpeg
+mhshow-suffix-video/mpeg: .mpg
+mhshow-suffix-video/mpeg: .mpg
+mhshow-suffix-video/quicktime: .qt
+mhshow-suffix-video/quicktime: .mov
+mhshow-suffix-video/quicktime: .moov
+mhshow-suffix-video/quicktime: .qtvr
+EOF
 
 # I'd like to check if netscape is available and use it preferentially to lynx,
 # but only once I've added a new %-escape that makes more permanent temp files,

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=0270817c5e0c47f23b890351d69ac18f09254175


commit 0270817c5e0c47f23b890351d69ac18f09254175
Author: Ken Hornstein <address@hidden>
Date:   Thu Mar 15 23:00:06 2012 -0400

    Call readconfig() on mhn.defaults so we get default entries in for use
    with attach.

diff --git a/uip/sendsbr.c b/uip/sendsbr.c
index 04d6ea9..91eaddf 100644
--- a/uip/sendsbr.c
+++ b/uip/sendsbr.c
@@ -192,6 +192,7 @@ attach(char *attachment_header_field_name, char 
*draft_file_name,
     int                        has_body;               /* draft has a message 
body */
     int                        length;                 /* length of attachment 
header field name */
     char               *p;                     /* miscellaneous string pointer 
*/
+    FILE               *fp;                    /* pointer for mhn.defaults */
 
     /*
      * Open up the draft file.
@@ -301,6 +302,11 @@ attach(char *attachment_header_field_name, char 
*draft_file_name,
      * that specify attachments.  Add a mhbuild MIME composition file for each.
      */
 
+    if ((fp = fopen (p = etcpath ("mhn.defaults"), "r"))) {
+       readconfig ((struct node **) NULL, fp, p, 0);
+       fclose(fp);
+    }
+
     rewind(draft_file);
 
     while (get_line() != EOF && *field != '\0' && *field != '-') {

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=4582f97fd2ce5bdb3ac54fbb099c80965e379a9e


commit 4582f97fd2ce5bdb3ac54fbb099c80965e379a9e
Author: Ken Hornstein <address@hidden>
Date:   Thu Mar 15 22:23:20 2012 -0400

    A test for the group addressing functionality handled by "post".

diff --git a/Makefile.am b/Makefile.am
index eea18db..a6ddbfe 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -60,6 +60,7 @@ TESTS = test/bad-input/test-header \
        test/post/test-post-basic test/post/test-post-multiple \
        test/post/test-post-dcc test/post/test-post-fcc \
        test/post/test-post-multifrom test/post/test-post-envelope \
+       test/post/test-post-group \
        test/refile/test-refile \
        test/repl/test-if-str test/scan/test-scan \
        test/sequences/test-flist test/sequences/test-mark \
diff --git a/test/post/test-post-group b/test/post/test-post-group
new file mode 100755
index 0000000..d5e39ae
--- /dev/null
+++ b/test/post/test-post-group
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# Test the behavior of post when using group addresses
+#
+
+set -e
+
+if test -z "${MH_OBJ_DIR}"; then
+    srcdir=`dirname "$0"`/../..
+    MH_OBJ_DIR=`cd "$srcdir" && pwd`; export MH_OBJ_DIR
+fi
+
+. "${srcdir}/test/post/test-post-common.sh"
+
+#
+# Group test
+#
+cat > "${MH_TEST_DIR}/Mail/draft" <<EOF
+From: Mr Nobody <address@hidden>
+To: our-group: Somebody One <address@hidden>
+    Somebody Two <address@hidden>;
+Subject: Group test
+
+This is test of group recipients.
+EOF
+
+cat > "${testname}.expected" <<EOF
+EHLO nosuchhost.example.com
+MAIL FROM:<address@hidden>
+RCPT TO:<address@hidden>
+RCPT TO:<address@hidden>
+DATA
+From: Mr Nobody <address@hidden>
+To: our-group: ;
+Subject: Group test
+Date:
+
+This is test of group recipients.
+.
+QUIT
+EOF
+
+test_post "${testname}.actual" "${testname}.expected"
+
+exit ${failed:-0}

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                       |    1 +
 etc/mhn.defaults.sh                               |   35 ++++++++++++++++++++-
 test/post/{test-post-multiple => test-post-group} |   19 +++++------
 uip/sendsbr.c                                     |    6 +++
 4 files changed, 50 insertions(+), 11 deletions(-)
 copy test/post/{test-post-multiple => test-post-group} (60%)


hooks/post-receive
-- 
The nmh Mail Handling System



reply via email to

[Prev in Thread] Current Thread [Next in Thread]